%global npm_name to-regex-range
%global enable_tests 1

Name: nodejs-%{npm_name}
Version: 3.0.0
Release: %mkrel 6
Summary: Pass two numbers, get a regex-compatible source string for matching ranges
License: MIT
Group: Development/Other
URL: https://github.com/micromatch/to-regex-range
Source0: https://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-packaging
Requires: npm(is-number) >= 4.0.0
Requires: npm(repeat-string) >= 1.6.1
BuildArch: noarch

%description
%{summary}

%prep
%setup -q -n package

%nodejs_fixdep is-number ^6.0.

%build
# Nothing to do here

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr index.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%{nodejs_symlink_deps} --check
%endif

%files
%{nodejs_sitelib}/%{npm_name}
%license LICENSE
%doc README.md



%changelog
* Tue Mar 22 2022 umeabot <umeabot> 3.0.0-6.mga9
+ Revision: 1820024
- Mageia 9 Mass Rebuild

* Fri May 15 2020 joequant <joequant> 3.0.0-5.mga8
+ Revision: 1584121
- recompute deps

* Wed Feb 12 2020 umeabot <umeabot> 3.0.0-4.mga8
+ Revision: 1503260
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 3.0.0-3.mga7
+ Revision: 1281084
- Mageia 7 Mass Rebuild

* Thu May 03 2018 kekepower <kekepower> 3.0.0-2.mga7
+ Revision: 1225738
- Fix nodejs deps for is-number

* Thu May 03 2018 kekepower <kekepower> 3.0.0-1.mga7
+ Revision: 1225550
- imported package nodejs-to-regex-range

